Bug 524397 - Existing encrypted partition passphrase request dialog will not accept my password
Summary: Existing encrypted partition passphrase request dialog will not accept my pas...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 11
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-19 19:45 UTC by Elijah Newren
Modified: 2009-09-23 13:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-23 13:59:32 UTC


Attachments (Terms of Use)

Description Elijah Newren 2009-09-19 19:45:23 UTC
Description of problem:
During "Install to Hard Drive" from a Fedora 11 live cd, the second or third screen (right after keyboard selection, I believe) is a dialog that says
  "Device sda2 is encrypted.  In order to access the device's contents during installation you must enter the device's passphrase below."
Every time I enter the passphrase, the dialog disappears, then reappears with an empty input box.

Version-Release number of selected component (if applicable):
anaconda-11.5.0.59-1.fc11.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Have a previous installation with an encrypted partition on my laptop
2. Run the Fedora 11 live cd
3. Select "Install to Hard Drive" and follow the prompts...
  
Actual results:
The dialog comes back, zombie-like, intent on my destruction (or maybe just my frustration).  I enter a bug report in RedHat Bugzilla.  Then I deftly defeat the zombie by selecting "Cancel" instead of typing in my password yet again.  Snatching a partial victory from complete defeat yet again!

Expected results:
The dialog goes away and I'm presented with the next screen of the installation.

Additional info:
I was able to successfully mount the encrypted partition from with nautilus (clicking on "Computer", then on "100 GB ATA blah blah blah encrypted partition" or something like that, and then entering my password) so it's clearly not a case of forgetting my password.

Comment 1 Chris Lumens 2009-09-21 15:21:14 UTC
Can you attach /tmp/anaconda.log and /tmp/storage.log to this bug report after you've tried to enter the passphrase once or twice?

Comment 2 Elijah Newren 2009-09-23 04:29:14 UTC
Weird...I'm having trouble duplicating.  Perhaps something got straightened out somehow by the installation of an additional encrypted partition (used to only have one installed, but my Fedora 11 installation added another).  Not sure, but I can'd duplicate.

Feel free to mark as NEEDINFO, or maybe even INCOMPLETE.  I'll see if I can think of a way to trigger this again.


Note You need to log in before you can comment on or make changes to this bug.